<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".FragmentHeizkoerper">

    <!-- android:layout_height="575dp" -->
    <ScrollView
        android:id="@+id/scrollView"
        android:layout_width="0dp"
        android:layout_height="match_parent"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!-- Cardview #1 Grossraum  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Grossraum"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Grossraum"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/grossraum"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Grossraum"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Grossraum"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Grossraum"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingStart="0dp"
                        android:paddingTop="5dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:theme="@style/Switch.TrackTint"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Grossraum"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Grossraum"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false"
                        tools:ignore="DuplicateSpeakableTextCheck,TextContrastCheck" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Grossraum"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Grossraum"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck,DuplicateSpeakableTextCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #2 Doris  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Doris"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Grossraum" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Doris"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/doris"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Doris"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Doris"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Doris"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingStart="0dp"
                        android:paddingTop="5dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:theme="@style/Switch.TrackTint"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Doris"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Doris"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Doris"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Doris"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #3 Doris Bad  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Doris_Bad"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Doris" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Doris_Bad"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/doris_bad"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Doris_Bad"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Doris_Bad"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Doris_Bad"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingStart="0dp"
                        android:paddingTop="5dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:theme="@style/Switch.TrackTint"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Doris_Bad"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Doris_Bad"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Doris_Bad"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Doris_Bad"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #4 Arbeitszimmer  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Arbeitszimmer"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Doris_Bad" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Arbeitszimmer"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/arbeitszimmer"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Arbeitszimmer"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Arbeitszimmer"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Arbeitszimmer"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingStart="0dp"
                        android:paddingTop="5dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:theme="@style/Switch.TrackTint"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Arbeitszimmer"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Arbeitszimmer"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Arbeitszimmer"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Arbeitszimmer"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #5 Vorraum  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Vorraum"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Arbeitszimmer" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Vorraum"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/vorraum"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Vorraum"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Vorraum"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Vorraum"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingStart="0dp"
                        android:paddingTop="5dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:theme="@style/Switch.TrackTint"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Vorraum"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Vorraum"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Vorraum"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Vorraum"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #6 WC EG  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_WCEG"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Vorraum" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_WCEG"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/wc_eg"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_WCEG"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_WCEG"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_WCEG"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingStart="0dp"
                        android:paddingTop="5dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        android:theme="@style/Switch.TrackTint"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_WCEG"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_WCEG"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false"
                        tools:ignore="TextContrastCheck" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_WCEG"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_WCEG"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #7 Bad  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Bad"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_WCEG" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Bad"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/bad"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Bad"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Bad" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Bad"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingTop="5dp"
                        android:paddingStart="0dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:theme="@style/Switch.TrackTint"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Bad"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Bad"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Bad"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Bad"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #8 Florian  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Florian"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Bad" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Florian"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/florian"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Florian"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Florian" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Florian"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:text="@string/man"
                        android:paddingTop="5dp"
                        android:paddingStart="0dp"
                        android:paddingEnd="12dp"
                        android:theme="@style/Switch.TrackTint"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Florian"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Florian"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Florian"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Florian"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #9 Stefan  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Stefan"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Florian" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Stefan"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/stefan"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Stefan"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Stefan" />

                    <androidx.appcompat.widget.SwitchCompat
                        android:id="@+id/switch_HK_Stefan"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_marginTop="35dp"
                        android:layout_marginEnd="10dp"
                        android:gravity="center|end"
                        android:paddingTop="5dp"
                        android:paddingStart="0dp"
                        android:paddingEnd="12dp"
                        android:text="@string/man"
                        android:theme="@style/Switch.TrackTint"
                        android:textColor="@color/black"
                        android:textSize="16sp"
                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Stefan"
                        app:layout_constraintStart_toEndOf="@id/tv_temp_Stefan"
                        app:layout_constraintTop_toTopOf="parent"
                        app:showText="false" />

                    <androidx.appcompat.widget.AppCompatButton
                        android:id="@+id/btn_HK_Stefan"
                        android:layout_width="0dp"
                        android:layout_height="78dp"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="4dp"
                        android:layout_marginEnd="5dp"
                        android:background="@drawable/button_text_color"
                        android:tag="Lamp1"
                        android:text="@string/temp_tv"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="24sp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Stefan"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="TextContrastCheck" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

            <!-- Cardview #10 Dachboden  -->
            <androidx.cardview.widget.CardView
                android:id="@+id/card_view_Dachboden"
                app:cardBackgroundColor="@color/white"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="10dp"
                app:cardCornerRadius="4dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/card_view_Stefan" >

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:id="@+id/tv_HK_Dachboden"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="5dp"
                        android:layout_marginTop="5dp"
                        android:gravity="center"
                        android:text="@string/dachboden"
                        android:textAlignment="center"
                        android:textColor="#000000"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_temp_Dachboden"
                        android:layout_width="0dp"
                        android:layout_height="40dp"
                        android:layout_marginStart="35dp"
                        android:gravity="center"
                        android:paddingBottom="5dp"
                        android:text="@string/temp_tv"
                        android:textAlignment="center"
                        android:textColor="@color/button_pressed"
                        android:textSize="24sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tv_HK_Dachboden" />

<!--                    <androidx.appcompat.widget.SwitchCompat-->
<!--                        android:id="@+id/switch_HK_Dachboden"-->
<!--                        android:layout_width="0dp"-->
<!--                        android:layout_height="50dp"-->
<!--                        android:layout_marginTop="35dp"-->
<!--                        android:layout_marginEnd="10dp"-->
<!--                        android:gravity="center|end"-->
<!--                        android:paddingTop="5dp"-->
<!--                        android:paddingStart="0dp"-->
<!--                        android:paddingEnd="12dp"-->
<!--                        android:enabled="false"-->
<!--                        android:text="@string/man"-->
<!--                        android:theme="@style/Switch.TrackTint"-->
<!--                        android:textColor="@color/black"-->
<!--                        android:textSize="16sp"-->
<!--                        app:layout_constraintEnd_toStartOf="@+id/btn_HK_Dachboden"-->
<!--                        app:layout_constraintStart_toEndOf="@id/tv_temp_Dachboden"-->
<!--                        app:layout_constraintTop_toTopOf="parent"-->
<!--                        app:showText="false" />-->

<!--                    <androidx.appcompat.widget.AppCompatButton-->
<!--                        android:id="@+id/btn_HK_Dachboden"-->
<!--                        android:layout_width="0dp"-->
<!--                        android:layout_height="78dp"-->
<!--                        android:layout_marginStart="0dp"-->
<!--                        android:layout_marginTop="4dp"-->
<!--                        android:layout_marginEnd="5dp"-->
<!--                        android:background="@drawable/button_text_color"-->
<!--                        android:tag="Lamp1"-->
<!--                        android:text="@string/temp_tv"-->
<!--                        android:enabled="false"-->
<!--                        android:textAllCaps="false"-->
<!--                        android:textColor="#FFFFFF"-->
<!--                        android:textSize="24sp"-->
<!--                        app:layout_constraintEnd_toEndOf="parent"-->
<!--                        app:layout_constraintStart_toEndOf="@+id/switch_HK_Dachboden"-->
<!--                        app:layout_constraintTop_toTopOf="parent"-->
<!--                        tools:ignore="TextContrastCheck" />-->

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.cardview.widget.CardView>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </ScrollView>


</androidx.constraintlayout.widget.ConstraintLayout>